This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 44381 - net.agent feeds wrong $ADDRESS to wireless.opts
net.agent feeds wrong $ADDRESS to wireless.opts
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-13 07:28 EDT by Derek Poon
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-13 11:47:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Outline for fix (879 bytes, patch)
2001-06-13 07:29 EDT, Derek Poon
no flags Details | Diff

  None (edit)
Description Derek Poon 2001-06-13 07:28:35 EDT
Description of Problem: /etc/hotplug/net.agent defines $ADDRESS as
"*,*,*,$HWADDR" before calling /etc/pcmcia/wireless.  However,
/etc/pcmcia/wireless.opts expects $ADDRESS to be of the form
"$SCHEME,$SOCKET,$INSTANCE,$HWADDR", not just "*,*,*,$HWADDR".


How Reproducible: 100%


Steps to Reproduce:
1. Make a scheme-specific setting in /etc/pcmcia/wireless.opts, such as
      home,*,*,*)
           ESSID="HomeNet"
           # more stuff...
           ;;
      *,*,*,00:02:2D:*)
           ESSID="DefaultNet"
           # fallback...
2. /sbin/cardctl scheme home
3. Insert wireless card.


Results:
Get default settings instead of home settings.
Comment 1 Derek Poon 2001-06-13 07:29:55 EDT
Created attachment 20945 [details]
Outline for fix
Comment 2 Trond Eivind Glomsrxd 2001-06-13 11:46:31 EDT
I've applied the fix to hotplug-2001_04_24-2 - reassigning for the rest of it.
Comment 3 Arjan van de Ven 2001-06-13 13:28:39 EDT
Applied the parts to kernel-pcmcia-cs
started build to rawhide

Note You need to log in before you can comment on or make changes to this bug.